Package web2py :: Package gluon :: Module storage :: Class Settings

[hide private]
[frames] | no frames]

# Class Settings

source code

    object --+
             |
          dict --+
                 |
           Storage --+
                     |
                    Settings

Instance Methods | [hide private]

__setattr__(self, key, value) | source code

Inherited from `Storage`: `__delattr__`, `__getattr__`, `__getitem__`, `__getstate__`, `__repr__`, `__setstate__`, `getfirst`, `getlast`, `getlist`

Inherited from `dict`: `__cmp__`, `__contains__`, `__delitem__`, `__eq__`, `__ge__`, `__getattribute__`, `__gt__`, `__hash__`, `__init__`, `__iter__`, `__le__`, `__len__`, `__lt__`, `__ne__`, `__new__`, `__setitem__`, `clear`, `copy`, `fromkeys`, `get`, `has_key`, `items`, `iteritems`, `iterkeys`, `itervalues`, `keys`, `pop`, `popitem`, `setdefault`, `update`, `values`

Inherited from `object`: `__reduce__`, `__reduce_ex__`, `__str__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __setattr__(self, key, value)

source code

Overrides: Storage.__setattr__